<?php

namespace Openguru\OpenCartFramework\Config;

interface SettingsInterface
{
    public function get(string $key, $default = null);

    public function has(string $key): bool;

    public function getAll(): array;

    public function getHash(): string;
}
